Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 26094 - Change property for multi-select items
Change property for multi-select items
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P4 (vote)
: TBD
Assigned To: _ tboudreau
issues@platform
:
Depends on: 29447
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-29 16:29 UTC by Richard Malaschitz
Modified: 2008-12-23 11:50 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Malaschitz 2002-07-29 16:29:06 UTC
Scenario:
* i have several components on form (JButtons)
* select 
all
* try change property text to "jButton1"

- it is not possible, 
becasue one of these components has this property equals "jButton1". It 
has sense mainly, when I use AbsoluteLayout, and I set layout properties 
(width, height, X) for all components to the same values.
Comment 1 Tomas Pavek 2002-08-08 11:57:16 UTC
Looks like PropertyPanel problem...
Comment 2 Tomas Pavek 2002-08-08 12:03:53 UTC
PropertyPanel.WriteComponentListener.changeValue(...) should probably
check differentValues too...
Comment 3 Jiri Rechtacek 2002-12-09 13:27:46 UTC
reassigning to the new subcomponent owner
Comment 4 Marian Mirilovic 2003-01-06 16:34:07 UTC
I have changed version from 4.0 dev to S1S 4.2 (Nevada).
Comment 5 _ tboudreau 2003-04-17 13:52:46 UTC
Adding to propertysheet rewrite umbrella - propertysheet will not
use propertypanel anymore.  This already works correctly in the
propertysheet rewrite branch.
Comment 6 _ tboudreau 2003-07-16 19:57:48 UTC
Fixed - property sheet rewrite integrated.
Comment 7 Marian Mirilovic 2003-07-18 14:40:05 UTC
verified in [nb_dev](20030718)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo